Zum Inhalt

Get item

Retrieve the properties and relationships of a Item object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/itemsWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a item object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/itemsWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "82463045-dcd8-ed11-a7cd-000d3a392f9f",
    "number": "70000",
    "number2": "",
    "displayName": "Seitenwand",
    "displayName2": "",
    "type": "Inventory",
    "itemCategoryId": "00000000-0000-0000-0000-000000000000",
    "itemCategoryCode": "",
    "blocked": false,
    "gtin": "",
    "inventory": 4282,
    "unitPrice": 47.6,
    "vatProductPostingGroup": "MWST.19",
    "priceIncludesTax": false,
    "unitCost": 24.2,
    "taxGroupId": "00000000-0000-0000-0000-000000000000",
    "taxGroupCode": "",
    "baseUnitOfMeasureId": "ec562a39-dcd8-ed11-a7cd-000d3a392f9f",
    "baseUnitOfMeasureCode": "STÜCK",
    "generalProductPostingGroupId": "a1592a39-dcd8-ed11-a7cd-000d3a392f9f",
    "generalProductPostingGroupCode": "ROHMAT",
    "inventoryPostingGroupId": "00000000-0000-0000-0000-000000000000",
    "inventoryPostingGroupCode": "ROHMAT",
    "grossWeight": 2.65,
    "netWeight": 2.3,
    "unitVolume": 0.04,
    "salesUnitOfMeasure": "STÜCK",
    "freightType": "",
    "countryPurchasedCode": "",
    "countryOriginCode": "",
    "manufacturerCode": "",
    "webshopItem": false,
    "itemDiscountGroup": "ROHMAT",
    "lastModifiedDateTime": "2023-04-12T02:48:51.063Z"
}

See also

Tips for working with the APIs
Item
Delete Item
Create Item
Update Item